
Version 2.0.3.0 Dated: 28th May, 2013
----------------------------------------
- Added a loading EEPROM data failure check and reload function.
- Supported silent installation/uninstallation mode.
- Supported default UART mode (RS-232, RS-422 or RS-485) selection via an INI file.
- Supported USB Vendor commands timeout timer configuration.
- Enhanced RX function for handling the read request with zero-length buffer.
- Enhanced uninstallation program.
- Enhanced Modem status check mechanism in TX function.
- Enhanced USB Vendor packets spinlock handling function.

Version 2.0.2.0 Dated: 3rd Oct, 2012
----------------------------------------
- Added Windows 8 support.
- Added mode auto switching support.


Version 2.0.1.0 Dated: 5th Mar, 2012
----------------------------------------
- Add Test pattern to check 7810 and LED Control.


Version 1.4.7.19 Dated: 29th April, 2010
----------------------------------------
- Co installer checks for the OS version and if OS is Win 7 or windows server 2008 and above co-installer re-assigns the port numbers such a way that port numbers are sequntial. If operating system is Windows XP, 2003 Server, Vista then co-installer behaves as version 1.4.7.16.


Version 1.4.7.18 Dated: 26th April, 2010
----------------------------------------
- Made common co-instlaler and property sheet for MCS7840 and customized drivers.

Version 1.4.7.17_WHQL_WINDOWS_UPDATE Dated: 19th April, 2009
--------------------------------------
- WHQL windows Update Certified drivers. This submisson has done due to we are not getting the latest WHQL certified drivers (Version1.4.7.17) when we do windows update. Issue found in INF files and is is fixed in this release. 



Version 1.4.7.17 Dated: 24th Dec, 2009
--------------------------------------
- Fixed the Bug 5699;The serial ports are not assigned with COM numbers sequentially in Windwos 7,to fix this, 
  we made changes in Co-installer so as to assign COM numbers sequentially.


Version 1.4.7.16 Dated: 18th Oct, 2009
--------------------------------------
- Fixed the Bugs 5680, 5676. 


Version 1.4.7.15 Dated: 27th Aug, 2009
--------------------------------------

- Setup is modified so as to first enable the device instance which was disabled by the earlier (1.4.7.14 and earlier) driver disk's uninstall utility.


Version 1.4.7.14 Dated: 21st Aug, 2009
--------------------------------------
1) Fix made for the bug, unexpected bytes with WCN customer given test scripts.
	- Resolved the above issue, by commenting the UART reset at PortOpen and clearing Driver Done bit PortClose.
2) Removed the logic of loopback test and delay of 1sec, which implemented in Version_1.4.7.12, as that was not fixing the customer issue.
3) Removed the logic of flushing bulk-in and bulk-out fifos, implemented in Version_1.4.7.10, as this is not required due to above fix.
4) NO changes in Win98/Me driver disk.

Version 1.4.7.13 Dated: 19th Aug, 2009
--------------------------------------
- Setup and Uninstall utilities modified to fix the Bug #5646.
  The Device instances removed without first disbling them.


Version 1.4.7.12 (Dated: 10th Aug, 2009)
----------------
1) Fix made for bug: 5645
   Fixed the Customer Issue(EUR-WCN bug: 5645) by implementing the Loopback test as well by not doing Bulk fifos reset during the port open. 
2) No change in the Win98/Me driver disks.

Version 1.4.7.11
----------------
- Used for custom driver(APA_NCI) with fix for DTR/RTS lines were not function appropriately. (bug:5649)
- Checked-in the same fix in regular releases from Version-1.4.7.12.

Version 1.4.7.10
------------------
1) Fix made for the bugs: 5644, 5645, reported by customers APA-NCI, EUR-WCN resp.
Issue 5644:  Junk data observed on TXD of MCS7840 during system reboot.
Issue 5645:  Observed unexpected bytes with test script under 115200 & 9600 Baud on every loop
- Added Flush bulk-in and bulk-out fifos at PortClose.
2) No change in the Win98/Me driver disk.

Version 1.4.7.9
------------------
1) Added Manifest script file to SetUp and Uninstall utilities, which 
removes the behaviour of the elevation prompt to the standard users.
2) No change in rest of the driver disk.
3) No change in Win98/Me disks.

Version 1.4.7.8
------------------
1) Modified the custom baudrate logic.
2) Removed enabling the auto hardware flowcontrol when TRANSMIT_TOGGLE is set from the application.
3) Changed the Status thread priority from LOW to HIGH.
4) Code modified to get the serial errors in more optimized time.
	- ISR Optimization: Reporting Serial Errors as soon as there is a change in LSR from Interrupt EP.
5) Added WMI changes in the driver to report the serial port name (portname) in WMI client applications.
6) No changed in Win98/Me driver disk.

Version 1.4.7.7
------------------
- This version number was used for the Custom driver disks releases. To make confusion free, we are skipping this version numbering 
in regular releases.

Version 1.4.7.6
------------------
1. Modified Inf files, as the WHQL submission was failing.
	- Replaced CUSTNAME string with QUADPORT.
2. Added support for custom baud rates from Windows Commond prompt (bugId: 5624). 
3. No change in Win98/Me driver disk.
3. Version base is Version_1.4.7.5.

Version 1.4.7.5
------------------
1. Added the  Error Event logging capability.
2. Enabled the auto hardware flow control based on the fOutxCtsFlow in DCB structure.
3. Added the Serial error reporting features, as implemented in the custom driver release, 13120_FIXED_MOXA.

Version 1.4.7.4
------------------
1. Enabled Debug controls from Property page.
2. No change in Win98/Me driver disk.

Version 1.4.7.3
------------------
1. Given support for the customer, APA_NCI, requests:
  1a) Support for the TX and Rx buffer sizes configarable from 1 byte and more (1 to 16, 20, 24, 28, 32 ... 32768)
  1b) Auto hardware flow control will be enabled when selected from Windows Serial API.

2. No change in Win98/me driver disk.


Version 1.4.7.2
------------------
1. Fix made for the issue, "ECOM modem is detecting as a serial mouse"
	We made a work-arround in the serial driver to configure the baudrate closer to the modem baudrate, 
while enumerating the modem.  As this specific modem is sending data at little higher baud (1280) than the supported baudrate (1200)  
while enumeration.
2. No change in Win98/me driver disk.

Version 1.4.7.1
------------------
1.Modified the Mos24SerPropPage_QUADPORT.dll and Mos24Serial_QUADPORT.exe in such a way that the selected serial port number in device manager
    will be displayed in the property page DLL and Property page Exe (In Advanced and port Settings tab).


Version 1.4.7.0
------------------
1. Fixed the issue in the driver where PC Hangs when Customer's Speeder program utility runs with Hardware flow control enabled (Bug: 5587). 
2. Removed the Serial TX/RX Purge changes done in the driver by Abhijit as this issue still present and expecting hw team feedback. 
3. Changed the version to 1.4.7.0. ( No changes in the Windows 98/Me driver disk)

Version 1.4.6.0
------------------
1. Clearing the TX and RX FIFOs in PurgeComm when SERIAL_PURGE_TXCLEAR and SERIAL_PURGE_RXCLEAR is set resp.(Bug Id : 5567)

Version 1.4.5.0
------------------
1.Fixed the PFU Customer issue.(Bug Id : 5489)
Changed the ReadContolReg and WriteContolReg functions to read multiple times under failure.

Version 1.4.4.0
------------------
1.Fixed the PFU Customer issue.(Bug Id : 5489)
MCS7840 under 2.0 hub along with mass storage are failing vendor commands.
Fixed the Vendor registers read failing.

Version 1.4.3.0
------------------
1. Fixed the PFU Customer issue.(Bug Id : 5489)
MCS7840 under 2.0 hub along with mass storage are failing vendor commands.

Version 1.4.2.0
------------------
1. Supported the Non Standard BaudRates 56000bps, 128000bps, 256000bps to make the BurnIn Test Working.(Bug ID: 5396)

Version 1.4.1.0_SerialPrinter
------------------------------
1. Fixed the Serial Printer Timing Issue.Bug ID 5382.

Version1.4.1.0_Suspend_250708
------------------------------

1. Fixed the bug of first few TX characters not going after resuming with TX.
2. Supported wakeup on OPEN.
3. Changed the default suspend timer to 10 seconds, i.e. "IdleTime" registry parameter

Version 1.4.1.0_Suspend
------------------------

1. Implemented Selective Suspend.
2. Added a registry parameter "IdleTime" for mos24ser_QUADPORT key. It gives the time in miliseconds after which the device automatically goes to suspend state.

Version 1.4.1.0
------------------
1. Fixed Serial Printer Issue.
2. Fixed the Property Page Not Displaying Issue in Vista.
3. Fixed Accedd Denied Error, while executing Setup and Uninstall in Vista.
4. Added Support for Safe Removal Icon Enable/Disable Option through Inf,  Default Enable.
5. Added Support for 450Mode through Inf.(For Internal Debugging)
6. Added CoInstaller to Enumerate from COM1, in case of COM1, COM2 Not Available in the system.
7. Fix for the Bug of Setup and uninstall not working in Spanish OS.

NO CHANGE IN Win98 Driver.(Driver Disk from Previous Version Replaced)

Version 1.4.0.0
------------------
1. Fixed the Concurrency Issues.(Bug Id : 4441)
2. Fixed the Win2K, Error message PopUp upon installation issue.(Bug Id : 3967)
3. Fixed the COM Port Increment Issue.(Bug Id : 4331)
The Bug IDs 4435, 4376, 4343, 4332 are also addressed.

Version 1.3.12.0
------------------
1. Added Support for ConCurrent Existence of the Drivers with Differe VID_PID Combinations based on CustName.
	* Modified the All the File Names, Filename_CustName.Ext.

NO CHANGE IN Win98 Driver.

Version 1.3.11.0
------------------
1. Supported the Rx_Disable feature in the property page.

Version 1.3.10.0
------------------
1. Fixed the 64Bit Port enumeration Issue.

Version 1.3.9.0
------------------
1. Added Support for the Concurrent existence of the Drivers with different VID_PID Combination.
2. Added the PORTHWID Key into the registry, which is used as the Port Hardware ID.
3. Fixed Bugs related to uninstall in the Uninstallation Utility.

Version 1.3.8.0
------------------
1. Added Support for ONE and THREE Serial Ports.
2. Added New Setup and uninstallation Utility which will Install and UnInstall Drivers Depending on the VID_PID key, to support Concurrent Existence of the Drivers.

Version 1.3.7.0
------------------
1. Removed the Uninstalled Related files and keys in the inf file, as we are not supporting uninstall in the Certified Driver Disk.
2. Compact and Single Driver Disk for the WHQL32, Vista32 and Win32, Supporting all OS.
3. Debug Related Controls removed in the Property page.

Version 1.3.6.0
------------------
1. Architecture Change for Windows Vista Certification, Changed the Compound Device From USB to MultiSerialPortAdapter.
2. Changes Done to remove and modify MultiSerialPortAdapter related keys and also given support to delete if any existing old keys related to USB.
3. Fixed the Device Enumeration and working after wakeup from standby Issue Under USB1.1 Hub, Bug Id : 3696.
4. Fixed the Device working after resuming from Low powered states under two USB2.0 Hubs.
Bug Ids : 3707, 3709
5. With MultiMP Utility if Port Open Fails then the Test shows PASS which is not correct, this bug is fixed.
6. Safely removal icon not disappearing after uninstalling MCS7840 from Add/Remove programs bug is fixed, Bug Id :  3624

Version 1.3.5.0
------------------
1. Made fix for the Bug Ids 3628,3629,3630.
2. Added Strings RI and DCD Test to teh Check Box, Bug Id 3615.
3. Removed the Company Name fix for the Bud Id 3402.
Version 1.3.4.0
------------------
This is a Regular Release with the following fixes.
1. Fix for BurnIn Test Failing for MCS7820(Bug Id : 3451,3471)
2. Modem ReEnumeration Issue.(Bug Id : 3469)
3. External Clock retainment in the property page and calculation of baudrates is provided.(Bug Ids :3530,3532)
4. Provider Name is introduced in the Driver Details of the spectrum.(Bug Id : 3402)
5. Mass production Utility not working after reboot in vista.(Bug Id : 3480)
6. Vista32 Driver disk subfolder name changed to Win32(Bug Id : 3464)
7. PC not waking up from standby after device disconnect in Win2K.(Bug Id :3466)
8. Device Manager hang when Plug\Unplug is done in Win2K.(Bug Id : 3470)
9. Along with this the bug Ids 3467,3472,3427,3429 are also addressed.

NO CHANGE IN THE WIN98/ME Driver.

Version 1.3.3.0
------------------
1. This is Special Release for the ATEN customer with Seperate Mass Production Utility for RS232\RS485.
2. Fix for the Radiant Cutomer Issue(Blue Screen Upon Refreshing Device manager after Port uninstall) is incorporated.

Version 1.3.2.0
------------------
1. Changed the GUI as per the customer requirement(ATEN).
Provided single driver disk solution.

Version 1.3.1.0
------------------
1. Changed the GUI as per the customer requirement(ATEN).
Provided two different driver disk as RS232 as Default Value and RS485 as Default Value.

Version 1.3.0.0
------------------
1. Added Support for Windows Vista 32Bit and 64Bit OS.
2. Fixed the InterOperability Issue with NETMOS.(Setup & UnInstall Utility).
3. Fixed the COM Port Refresh Issue in Win2K.

Version 1.2.8.0
------------------
1. Fixed the First COM Port not working when COM Port Change is Done.(Both WinXP/Win98).
2. Fixed the Device Manager Refresh on OK.
3. Fixed the Modem Issue, System Crash in WinXP When Modem Driver is loaded.
4. Added the New Requirement to Display the Calculated BaudRate, when DLL\DLM are Set.

Version 1.2.7.0
------------------
1. NO CHANGE IN THE Win2K/XP Driver, Only Version Number is changed.
2. Fixed the Auto Refresh of Device Manager on Changing the COM Port.(Bug ID 3432)
3. Fixed the InterOperability Issue with PPSP(Blue Screen)(Bug ID 3103)
4. Fixed the Removal of Registry Keys when Customized VIDs/PIDs are Used.(Bug ID 3446)

Version 1.2.6.0
------------------

1. Added Logic to Safely Remove the device when Device is disconnected\removed through icon on the taskbar.

Version 1.2.5.0
------------------

1. Fixed the issues\bugs raised with Version1.2.4.0(standby issue and $SerialMice Issues)
2. Added Support to Remove Keys Related to Vid and Pid in the registry, when Custom VID/PID's are used.
3. Changed Folder Name to winxp from win2k&xp in the EEPROM Utility.

Version 1.2.4.0
----------------

1. Addeded Auto Refresh feature in the Win2k/XP, when COM port numbers are changed.(Bug ID 3408)
2. Polling of Status Pipe is stopped if it failed consecutively for 2 times(Bug ID 3412)
3. Checking for UsbStopRequest and Device State in DelayedSetPower (Bug ID 3399)

Version 1.2.3.0
----------------

1. Modified the Setup.exe in order to work for both WHQL and Non-WHQL Driver Disk.
2. Changed the SubFolder Name to winxp in 32Bit Disk and Win64_AMD in 64Bit Driver Disk.

Version 1.2.2.0
----------------

WinXp/2k
1. Fixed the VSCOMM Crash Issue.(Bug 3394)
2. Added support for PLLN and PLLM GUI in the property page.(Bug 3386)
3. Fixed the Customized Strings relation issue on Updation.(Bug 3374,3375,3288)

Win98/Me
1. Fixed Improper COM Number Display in Win98/Me.

Version 1.2.1.0
----------------

1. Fixed the bug of standby/bibernate crash on WIn2K/XP with multiple mice connected (Bug 3385)
2. Updated Win2K/XP Uninstall utility to remove drive installed with customized strings (Bug 3375, 3374, 3288, 3271, 3252)
3. Added the support of WHQL build in mosbld.bat, added WHQL related INF files

Version 1.2.0.0
----------------

1. Updated the copyright comments in the Win2K/XP code.
2. Updated the default value of WaitCount in property sheet (Bug 3382)

Version 1.1.8.0
----------------

Win2K/XP
--------
1. Fixed hyperminal simultaneous file transfers hang
2. Updated the property page to pair RS422 with RS485
3. Updated the default strings with Customize utility

Win98/ME
--------
1. Fixed the Standby/Hibernate issue
2. Updated the property page to pair RS422 with RS485
3. Implemented the port-change logic

Version 1.1.7.0
----------------

1. Removed the wake-up capability in Win98/ME driver.
2. Changed only INF versions in 2K/XP driver.

Version 1.1.6.0
----------------

1. Fixed a crash issue w.r.t. Wait IRP in Win2K/XP driver
2. Added WaitCount and ClockSelect (Extenal Clock support) in property page.

Version 1.1.5.0
----------------

Win2K/XP
--------
1. Fixed the dual-core issues(8X and app sepcific)
2. Removed the warnings generated by PreFast

Win98/ME
--------
1. Fixed the 8X issue
2. Fixed Standby/Hibernate issue
3. Updated property pages

Version 1.1.4.0
-----------------
1. Fixed the following Property Page BUGS, 
	1. Discard Feature not functionable after set.
	2. Default ICG changed from 0x24 to 0x00.
	3. Fixed the Threshold Enable/Disable CheckBox functionality after set.
NO CHANGE IN THE .sys or Driver File

Version 1.1.3.2
-----------------
1. Fixed the Reboot Issue !!!
2. Default RS485 Selection.

Version 1.1.3.1
-----------------
1. The Mos24Serial.exe is changed in this version, The Enabling of Security Parameters of the Registry is Added.
2. The Error Message in the UnInstall is also Removed.
3. Changed the Default ICG Value to 0x00 in the inf file.
THERE IS NO CHANGE IN THE DRIVER.

Version 1.1.3.0
-----------------
1. Given the Mode Support from Property Page.
2. Given the full fledged Property Page Support(Moved the Registry Locations.)
3. EEPROM Bug(Reporting EEPROM Utility Fails, when EEPROM is not Present or when the Improper EEPROM is Present)

NO CHANGE IN THE WIN98 DRIVER.

Version 1.1.2.0
-----------------
The Following are the Changed reflected in this Version, the following are applicable to Win98\XP\64XP,
1. Two Serial Port(7820), Check, Depending on GPIO.
2. Setup and UnInstallation issues Fixed, No need to Restart the system after uninstallation and also after Updation.
3. SpectrumMP(MultiMP) issue fixed.
4. Change of Strings.
5. EEPROM Utility Delay increased to 20ms after each Write, and it will work only in WinXP\2K.
6. Supporting All Modes(IrDA,RS232,485,422) at a time, configurable from Regedit.
7. Supporting Custom Baud Rates configurable from Regedit.

WinXP specific Changes,
1. Serial Mouse Fix, issue with SP2,SP3,SP4 not working after coming up from Low Powered States.
2. CDROM Autorun customer issue found in PPSP,the fix is incorporated in the 7840 Setup.
3. Introduced waitcount to wait in the Interrupt Pipe Processing in order to reduce the CPU Utilization.
4. 2SerialPort 6Mbps Issue.

Win98 specific Changes,
1. Fix for a Bug found in 2 Serial port Mode, 2nd serial port not working.

Version 1.1.1.0
-----------------
This is the First Release of Win64 Driver.
NO CHANGE IN WIN32 DRIVER.

Version 1.1.0.0
------------------
1. Added Win98\Me Support in this version.
2. There is no change in the functionality of Win2k\Xp Driver, Only Version Number is changed.
(Version1.1.0.0., has Win2k/Xp Version 1.0.11.0 and Win98/Me 1.0.0.0, with a new sequence 1.1.0.0).

Version 1.0.11.0
---------------
1. Serial Mouse Fix.
2. Supported the Feature of Custom PID/VID.(The Driver will Work for any PID/VID Programmed through EEPROM).
3. Reading Mode Register to get the bonding options.

Version 1.0.10.0
---------------
1. Added Support for EEPROM Utility.

Version 1.0.9.0
---------------

1. Updated setting/clearing of driver done bit - iSerial test fix

Version 1.0.8.1
---------------

1. Made the ZLP1 to ZLP5 default values as 255.

Version 1.0.8.0
---------------
1. Fixed the issue of modem getting detected as serial mouse.

Version 1.0.7.0
---------------
1. Removed the UART Reset in the Initializing Sequence to address internet browsing issue through the modem.
2. Added New Registry Entry for the changing the Interrupt EndPoint Size to 13.

Version 1.0.6.0
---------------
1. SLAN interoperability Fix.
2. Changed the initialization Sequence.

Version 1.0.5.0
---------------
1. Giving UART reset while opening the port.
2. Disabling RX while closing the port using modified implementatino of RX_NAGATE, and enabling it again after setting all the registers.
3. Modified the default values of THR registers to give 256 bytes, but kept them disabled by default.
i.e. THR12 register's bit 7 is zero.

Version 1.0.4.0
---------------
1. Fixed the driver crash under specific condition. (PutChar and CancelSpinLock)
2. Added registry entries to support new bulkin threshold registers which provides custom Bulk-IN values.
The new registry entries are :
THR11, THR12, THR21, THR22, THR31, THR32, THR41, THR42

Version 1.0.3.0
---------------

1. Fixed the problem of 2-serial ports (MCS7832) not loading.
2. Added the supports for following PIDs :
MCS7820, MCS7821, MCS7822, MCS7823 (2 serial ports)
MCS7840, MCS7841, MCS7842, MCS7843 (4 serial ports)

Version 1.0.2.0
---------------

1. Removed the delays while writing into registers.
2. Made the Clock Start as 0 and Clock Multi as 0x10 (decimal 16) as default values in the INF.
3. Fixed the problem of crashing with new VB application.

Version 1.0.1.0
---------------

1. Implemented programmability for Zero Length Packet generation/disabling by providing register parameters ZLP1, ZLP2, ZLP3, ZLP4 and ZLP5. By default a ZLP is generated after a timeout of 1 millisecond.

2. Hardcoded Clk_Start to 0x0 and Clk_Multi to 0x40 for 1X and above baudrates.

3. Clearing Bulk IN-OUT FIFOs while opening the port.

Version 1.0.0.0
---------------

1. This is the first Release to QA.
2. Some known problems with respect to PHY (works only with USB 1.1, SUspend-Resume etc.)
3. This release supports onlt Win2K/XP driver.
